Reimplement removePID, it seems to be missing in current twisted.

diff -urNad pyicqt-0.8b~/src/main.py pyicqt-0.8b/src/main.py
--- pyicqt-0.8b~/src/main.py	2008-01-06 13:14:51.000000000 +0100
+++ pyicqt-0.8b/src/main.py	2008-07-06 23:18:24.000000000 +0200
@@ -430,11 +430,23 @@
 		pf.write("%s\n" % pid)
 		pf.close()
 
+	def removePID(self):
+		try:
+			os.unlink(config.pid)
+		except OSError, e:
+			if e.errno == errno.EACCES or e.errno == errno.EPERM:
+				print "Warning: No permission to delete pid file"
+			else:
+				print "Failed to unlink PID file:"
+				print e
+		except:
+			print "Failed to unlink PID file"
+
 	def shuttingDown(self):
 		self.transportSvc.removeMe()
 		def cb(ignored=None):
 			if config.pid:
-				twistd.removePID(config.pid)
+				self.removePID()
 		d = Deferred()
 		d.addCallback(cb)
 		reactor.callLater(3.0, d.callback, None)
